/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ContextInfo.java 20430 2010-10-07 12:49:57Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.cxf.transport.mdb.api;

import java.io.Serializable;

import javax.xml.namespace.QName;

/**
 * Class containing data that are sent to the AsyncHandler when saving a context
 * @author Florent Benoit
 */
public class ContextInfo implements Serializable {

    /**
     * Serialization UID.
     */
    private static final long serialVersionUID = -8456418215070450494L;

    /**
     * Correlation ID object.
     */
    private String correlationID;

    private QName wsdlService;
    private QName wsdlInterface;
    private QName wsdlPort;
    private QName wsdlOperation;

    /**
     * @return the correlation ID.
     */
    public String getCorrelationID() {
        return correlationID;
    }

    public void setCorrelationID(String correlationID) {
        this.correlationID = correlationID;
    }

    public QName getWsdlService() {
        return wsdlService;
    }

    public void setWsdlService(QName wsdlService) {
        this.wsdlService = wsdlService;
    }

    public QName getWsdlInterface() {
        return wsdlInterface;
    }

    public void setWsdlInterface(QName wsdlInterface) {
        this.wsdlInterface = wsdlInterface;
    }

    public QName getWsdlPort() {
        return wsdlPort;
    }

    public void setWsdlPort(QName wsdlPort) {
        this.wsdlPort = wsdlPort;
    }

    public QName getWsdlOperation() {
        return wsdlOperation;
    }

    public void setWsdlOperation(QName wsdlOperation) {
        this.wsdlOperation = wsdlOperation;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder(this.getClass().getName());
        sb.append("[correlationID=");
        sb.append(correlationID);
        sb.append(", wsdlService=");
        sb.append(wsdlService);
        sb.append(", wsdlInterface=");
        sb.append(wsdlInterface);
        sb.append(", wsdlPort=");
        sb.append(wsdlPort);
        sb.append(", wsdlOperation=");
        sb.append(wsdlOperation);
        sb.append("]");
        return sb.toString();
    }

}
